IWORKPath.cpp File Reference
`#include "IWORKPath.h"`
`#include <cassert>`
`#include <deque>`
`#include <sstream>`
`#include <utility>`
`#include <boost/fusion/include/adapt_struct.hpp>`
`#include <boost/spirit/include/qi.hpp>`
`#include <boost/variant.hpp>`
`#include "libetonyek_utils.h"`
`#include "IWORKTransformation.h"`
`#include "IWORKTypes.h"`

## Classes
struct | libetonyek::MoveTo
struct | libetonyek::LineTo
struct | libetonyek::CCurveTo
struct | libetonyek::QCurveTo
struct | libetonyek::ClosePolygon
struct | libetonyek::IWORKPath::Impl

## Namespaces
namespace | libetonyek

## Typedefs
typedef boost::variant< MoveTo, LineTo, CCurveTo, QCurveTo, ClosePolygon > | libetonyek::CurveElement_t
typedef std::deque< CurveElement_t > | libetonyek::Curve_t
typedef std::deque< Curve_t > | libetonyek::Path_t